VULKAN_HPP_NAMESPACE::CommandPool Class Reference

`#include <vulkan.hpp>`

## Public Member Functions

VULKAN_HPP_CONSTEXPR | CommandPool ()
VULKAN_HPP_CONSTEXPR | CommandPool (std::nullptr_t)
VULKAN_HPP_TYPESAFE_EXPLICIT | CommandPool (VkCommandPool commandPool)
CommandPool & | operator= (std::nullptr_t)
bool | operator== (CommandPool const &rhs) const
bool | operator!= (CommandPool const &rhs) const
bool | operator< (CommandPool const &rhs) const
VULKAN_HPP_TYPESAFE_EXPLICIT | operator VkCommandPool () const
| operator bool () const
bool | operator! () const

## Private Attributes

VkCommandPool | m_commandPool

## Detailed Description

Definition at line 3011 of file vulkan.hpp.

## Constructor & Destructor Documentation

## CommandPool() [1/3]

VULKAN_HPP_CONSTEXPR VULKAN_HPP_NAMESPACE::CommandPool::CommandPool | ( |  | ) |

inline

Definition at line 3014 of file vulkan.hpp.

: m_commandPool(VK_NULL_HANDLE)
{}

## CommandPool() [2/3]

VULKAN_HPP_CONSTEXPR VULKAN_HPP_NAMESPACE::CommandPool::CommandPool | ( | std::nullptr_t |  | ) |

inline

Definition at line 3018 of file vulkan.hpp.

: m_commandPool(VK_NULL_HANDLE)
{}

## CommandPool() [3/3]

VULKAN_HPP_TYPESAFE_EXPLICIT VULKAN_HPP_NAMESPACE::CommandPool::CommandPool | ( | VkCommandPool | commandPool | ) |

inline

Definition at line 3022 of file vulkan.hpp.

: m_commandPool( commandPool )
{}

## Member Function Documentation

## operator bool()

VULKAN_HPP_NAMESPACE::CommandPool::operator bool | ( |  | ) | const

inline explicit

Definition at line 3062 of file vulkan.hpp.

{
return m_commandPool != VK_NULL_HANDLE;
}

References m_commandPool, and VK_NULL_HANDLE.

## operator VkCommandPool()

VULKAN_HPP_TYPESAFE_EXPLICIT VULKAN_HPP_NAMESPACE::CommandPool::operator VkCommandPool | ( |  | ) | const

inline

Definition at line 3057 of file vulkan.hpp.

{
return m_commandPool;
}

References m_commandPool.

## operator!()

bool VULKAN_HPP_NAMESPACE::CommandPool::operator! | ( |  | ) | const

inline

Definition at line 3067 of file vulkan.hpp.

{
return m_commandPool == VK_NULL_HANDLE;
}

References m_commandPool, and VK_NULL_HANDLE.

## operator!=()

bool VULKAN_HPP_NAMESPACE::CommandPool::operator!= | ( | CommandPool const & | rhs | ) | const

inline

Definition at line 3045 of file vulkan.hpp.

{
return m_commandPool != rhs.m_commandPool;
}

References m_commandPool.

## operator<()

bool VULKAN_HPP_NAMESPACE::CommandPool::operator< | ( | CommandPool const & | rhs | ) | const

inline

Definition at line 3050 of file vulkan.hpp.

{
return m_commandPool < rhs.m_commandPool;
}

References m_commandPool.

## operator=()

CommandPool& VULKAN_HPP_NAMESPACE::CommandPool::operator= | ( | std::nullptr_t |  | ) |

inline

Definition at line 3034 of file vulkan.hpp.

{
m_commandPool = VK_NULL_HANDLE;
return *this;
}

References m_commandPool, and VK_NULL_HANDLE.

## operator==()

bool VULKAN_HPP_NAMESPACE::CommandPool::operator== | ( | CommandPool const & | rhs | ) | const

inline

Definition at line 3040 of file vulkan.hpp.

{
return m_commandPool == rhs.m_commandPool;
}

References m_commandPool.

## Field Documentation

## m_commandPool

VkCommandPool VULKAN_HPP_NAMESPACE::CommandPool::m_commandPool

private

Definition at line 3073 of file vulkan.hpp.

Referenced by operator bool(), operator VkCommandPool(), operator!(), operator!=(), operator<(), operator=(), and operator==().

The documentation for this class was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VK_NULL_HANDLE
#define VK_NULL_HANDLE
Definition: vulkan_core.h:49
VULKAN_HPP_NAMESPACE::CommandPool::m_commandPool
VkCommandPool m_commandPool
Definition: vulkan.hpp:3073